import scipy
import ik_gpx as ik
#pts = ik.read_ply(ik.chairfile)
pts = scipy.loadtxt('pts50.csv')
#pts = scipy.loadtxt('pts100.csv')
#pts=[[1.58625115,0.11766562],[0.3155787,0.47123227],[-0.98986756,1.12974255],[0.15760137,0.14993913],[0.31361494,0.08552431]]
(edge,fedge,Gnb) = ik.nbhd_graph_edges(pts,75)
GV = range(len(pts))
k = 2
classical = ik.incremental(GV, Gnb, k, fedge)
novel = ik.incremental_order(GV, Gnb, k, fedge, edge)

for i in range(k+1):
    ci = [s for s in classical if len(s) == i+1]
    ni = [s for s in novel if len(s) == i+1]
    if not len(ci) == len(ni):
        raise Exception('wrong lengths')
    for j in range(len(ci)):
        if not ik.f(ci[j],fedge) == ik.f(ni[j],fedge):
            raise Exception('different content: \n%s (%f)\n%s (%f)' % (ci[j], ik.f(ci[j],fedge), ni[j], ik.f(ni[j],fedge)))
        
